Select region
PUT/accounts/{account_id}/zerotrust/region
Selects the region that the account uses for Cloudflare One. The region must be one of the account’s available regions. Selecting the active region again has no effect.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Select region
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/zerotrust/region \
-X PUT \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
-d '{
"region_key": "eu"
}'{
"errors": [
{
"code": 1000,
"message": "message",
"context": {
"foo": "bar"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"context": {
"foo": "bar"
}
}
],
"result": {
"region_key": "eu"
},
"success": true
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"context": {
"foo": "bar"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"context": {
"foo": "bar"
}
}
],
"result": {
"region_key": "eu"
},
"success": true
}